/*-- ALTER SCRIPT --*/
/*
Model         SAS Financial Crimes Monitor 2.3M1
DBMS          MYSQL
Updated       August  2012
*/

/* Modifications for FCM 2.3M1 Release */

ALTER TABLE FCM_SEQUENCE MODIFY LAST_VAL BIGINT UNSIGNED ;

ALTER TABLE FCM_ALERT_ENTITY MODIFY N_ALERTS_SCORE_NO NUMERIC(10,4);

ALTER TABLE FCM_ALERT_ENTITY MODIFY AMT_LOSS_SCORE_NO NUMERIC(10,4);

ALTER TABLE FCM_ALERT_ENTITY MODIFY SEVERITY_SCORE_NO NUMERIC(10,4);

ALTER TABLE FCM_ALERT_ENTITY MODIFY ACTIONABLE_ENTITY_SCORE_NO NUMERIC(10,4);

ALTER TABLE ALERT_SUMMARY MODIFY N_ALERTS_SCORE_NO NUMERIC(10,4);

ALTER TABLE ALERT_SUMMARY MODIFY AMT_LOSS_SCORE_NO NUMERIC(10,4);

ALTER TABLE ALERT_SUMMARY MODIFY SEVERITY_SCORE_NO NUMERIC(10,4);

ALTER TABLE ALERT_SUMMARY MODIFY ACTIONABLE_ENTITY_SCORE_NO NUMERIC(10,4);

DROP TABLE FCM_ALERT_RISK_FACTOR CASCADE;

ALTER TABLE ALERT_SUMMARY  ADD COLUMN OVERALL_ACTIONABLE_ENTITY_SCR NUMERIC(12,8);

ALTER TABLE FCM_ALERT_ENTITY ADD COLUMN OVERALL_ACTIONABLE_ENTITY_SCR NUMERIC(12,8);

ALTER TABLE ALERT_SUMMARY DROP COLUMN ACTIONABLE_ENTITY_RANK_NO ;

ALTER TABLE FCM_ALERT_ENTITY DROP COLUMN ACTIONABLE_ENTITY_RANK_NO ;
